{% extends "layout/single_column.html" %}

{% block main_nav %}
  {% include "listing/nav/main.html" %}
{% endblock %}

{% block sub_nav %}
  {% include "listing/nav/listing.html" %}
{% endblock %}

{% block main_content %}
  <h1>Apartment Listing</h1>
  <h3>{% if city %} {{ city.name }} {% endif %}{% if location %} > {{ location.name }}{% endif %}</h3>

  <div class="archive-pagination archive-pagination-top">
    <div class="left"><a href="#">&#171; Previous page</a></div>
    <div class="right"><a href="#">Next page &#187;</a></div>
    <div class="clearer">&nbsp;</div>
  </div>

  {% for listing in object_list %}
    <div class="post">
      <div class="archive-post-title">
        <h3><a href="{{ listing.absolute_url_for }}">{{ listing.title }}</a></h3>
        <div class="post-description">{{ listing.description }}</div>
        <div class="post-date">{{ listing.modified }} in <a href="{{ listing.city.absolute_url_for }}">{{ listing.city.name }}</a></div>
      </div>
      <div class="clearer">&nbsp;</div>
    </div>

    {% if not forloop.last %}
        <div class="archive-separator"></div>
    {% endif %}

  {% endfor %}

  <div class="archive-pagination archive-pagination-bottom">
    <div class="left"><a href="#">&#171; Previous page</a></div>
    <div class="right"><a href="#">Next page &#187;</a></div>
    <div class="clearer">&nbsp;</div>
  </div>
{% endblock %}

{% block sidebar %}
  {% include "sidebar/recent_entries.html" %}
  {% include "sidebar/search.html" %}
  {% include "sidebar/topics.html" %}
  <div class="clearer">&nbsp;</div>
{% endblock %}
